Bug 476967 - RFE: Create some links called initrd.img and vmlinuz pointing to latest kernel files when updating
RFE: Create some links called initrd.img and vmlinuz pointing to latest kerne...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 06:35 EST by Pacho Ramos
Modified: 2014-06-18 04:04 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 10:32:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pacho Ramos 2008-12-18 06:35:10 EST
I am currently using a grub bootloader from a different distribution for booting, the problem I have is that, when fedora updates it's kernel, I have to manually edit by menu.lst file for pointing to new kernel files. 

I would prefer that some links to new kernel files would be created when updating, this would allow me to always boot fedora with simply /boot/vmlinuz and /boot/initrd.img. This is already being done in Mandriva and is very useful for me

Thanks a lot :-)
Comment 1 Chuck Ebbert 2008-12-22 10:54:32 EST
Probably not going to happen in Fedora 10.
Comment 2 Thorsten Leemhuis 2009-02-07 06:06:11 EST
Those other distribution IMHO to stupid things, but users will likely blame us when things break, so strong +1 to this

More details why this is needed can also be found in this discussion on fedora-devel: https://www.redhat.com/archives/fedora-devel-list/2009-February/msg00490.html

Jonmaster in that thread also wrote:

> I like that idea. I also really like the idea of adding in some kind of
> postfix differentiator configured in /etc/sysconfig/kernel so that one
> can still have a shared /boot between several Fedora/RHEL/whatever.
>
> I might then configure:
>
> /boot/vmlinuz-fedora10
> /boot/vmlinuz-rawhide
> /boot/vmlinuz-rhelX
Comment 3 Hans de Goede 2010-01-12 10:32:48 EST
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.
Comment 4 Thorsten Leemhuis 2010-02-09 13:03:27 EST
(In reply to comment #3)
> This is a mass edit of all mkinitrd bugs.

reopening and reassigning to kernel, as the problem in question has nothing to do with mkinitrd and afaics still exisits

Note You need to log in before you can comment on or make changes to this bug.